class MyMachineVideo : public VideoDevice {

    public:

    MyMachineVideo(Machine *, ScreenOutput *, uint8 *);
    virtual ~MyMachineVideo();

    void setupDisplay(void);
    void update(void);
    void writeVideoRAM(uint16, uint8);

    void createBanks(void);

    protected:

    virtual uint8 lookupColour(const uint16, const uint8, const uint16, const uint16);

    void *bank[_BANKS_][_CHARS-PER-BANK_];
    bool dirty1[_VIDRAMSIZE_];
    void *bg;

};
