class CentipedeVideo : public VideoDevice {

    public:

    CentipedeVideo(Machine *, ScreenOutput *, uint8 *);
    virtual ~CentipedeVideo();

    void setupDisplay(void);
    void update(void);
    void writeVideoRAM(uint16, uint8);

    void createBanks(void);

    protected:

    virtual uint8 lookupColour(const uint16, const uint8, const uint16, const uint16);

    void *bank[2][256];    
    bool dirty1[0x3c0];

    void *bg;
    uint8 *charROM;

};
