class SinclairVideo : public VideoDevice {

    public:

    SinclairVideo(Machine *, ScreenOutput *, uint8 *);

    void setupDisplay(void);
    void update(void);
    void writeVideoRAM(uint16, uint8);
    void createBanks(void) {}

    void invert(const void);

    inline void setBorder(const uint8 colour) {

        uint8 bcol = colour & 0x07;

        if (bcol!=border) {

            border=bcol;
            newborder=1;
        }
    }

    protected:

    uint8 lookupColour(const uint16, const uint8, const uint16, const uint16) { return 0; }

    uint16 positions[192];
    bool flash, flashflag;
    uint8 border;
    bool newborder;

    uint8 videoRAM[6912];

    bool dirty[6912];
};
