class KeyStick : public Joystick {

	public:

	KeyStick(Keyboard *);
    ~KeyStick();

    void update(void);

    inline bool jup(void) {

    	return keyboard->keyPressed(Keyboard::k_up);
    }

    inline bool jdown(void) {

    	return keyboard->keyPressed(Keyboard::k_down);
    }

    inline bool jleft(void) {

    	return keyboard->keyPressed(Keyboard::k_left);
    }

    inline bool jright(void) {

    	return keyboard->keyPressed(Keyboard::k_right);
    }

    inline bool jfire1(void) {

    	return keyboard->keyPressed(Keyboard::k_lctrl);
    }

    inline bool jfire2(void) {

    	return keyboard->keyPressed(Keyboard::k_lalt);
    }

    private:
    Keyboard *keyboard;

};
