#include "../../global.h"

MyMachineVideo::MyMachineVideo(Machine *hw, ScreenOutput *disp, uint8 *cr) : VideoDevice(hw, disp, cr) {

    // We normally have at least one bitmap
    bg=display->createBitmap(xxx*8, yyy*8);

    for(int i=0; i < _VIDRAMSIZE_; i++) {

        dirty1[i]=true;
    }
}

MyMachineVideo::~MyMachineVideo() {

    delete bg;
}

void MyMachineVideo::update(void) {

    void *theScreen = display->getScreen();

    // Render the screen to the above bitmap here

    display->update();
}

void MyMachineVideo::writeVideoRAM(uint16 addr, uint8 data) {

        dirty1[addr]=true;
}

void MyMachineVideo::setupDisplay(void) {

    display->setMode(xxx*8, yyy*8, 60);

    display->setPalette(0, 0x000000);
    display->setPalette(1, 0xFFFFFF);
}

uint8 MyMachineVideo::lookupColour(const uint16 sprite, const uint8 colour, const uint16 bank, const uint16 palette) {

    // Calculate character and sprite colours
}

void MyMachineVideo::createBanks(void) {

    // Decode the Char ROM here - check out the Centipede and Phoenix classes for examples
}