class Pokey : Component {

    public:

    Pokey(Machine *, uint8, AudioOutput *);
    ~Pokey();
    void update(void);
    void writeRegister(int, uint16, uint8);
    uint8 readRegister(int, uint16);

    private:

	inline void Pokey_sound_init (uint32 freq17, uint16 playback_freq,
                       uint8 num_pokeys);
	inline void Update_pokey_sound (uint16 addr, uint8 val, uint8 chip, uint8 gain);
	inline void Pokey_process_2 (register unsigned char *buffer, register uint16 n);
	inline void Pokey_process (register unsigned char *buffer, register uint16 n);
	inline int Read_pokey_regs (uint16 addr, uint8 chip);

    uint8 audioBuffer[512];
    void *sample;
    void *channel;
    AudioOutput *audio;
};
